#include <bits/stdc++.h>
using namespace std;
long n,m,a,dem=0;
ifstream f1("lastzero.inp");
ofstream f2("lastzero.out");
int main()
{
    f1>>n;
    m=n/10;
    a=n%10;
    dem=dem+m*2;
    if(a>=5){
        dem++;
    }
    f2<<dem;
    f1.close();
    f2.close();
}
